/*
---------------------------
COVERS 
---------------------------
*/


.cover-wrapper {
	position: relative;
	width: 100%;
	height: 100%;
	overflow: hidden;
	margin-top: -160px;
	z-index: 0;
}
.cover-placeholder {
	padding-top: 160px;
	padding-bottom: 0px;
}
.cover-placeholder .section-heading {
	padding-bottom: 0;
}
	@media (max-width: 1023px) {
		.cover-placeholder {
			padding-top: 180px;
			padding-bottom: 0px;
		}
		.cover-placeholder .section-heading {
			padding-bottom: 0;
		}
	}
	@media (max-width: 640px) {
		.cover-placeholder {
			padding-top: 110px;
			padding-bottom: 0px;
		}
	}

.circle-wrapper {
  position: absolute;
  top: -240px;
  left: 50%;
  transform: translateX(-50%);
  margin-left: -660px;
  width: 700px;
  height: 700px;
	opacity: 0;
  z-index: 2;
		transition: all 0.3s ease-in-out;
	transition-delay: 600ms;
}
.is-active .circle-wrapper {
	opacity: 1;
}
.cover-placeholder .circle-wrapper {
	opacity: 1 !important;
}


.circle {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 600px;
  height: 600px;
  border: 3px solid var(--color-primary-600);
  border-radius: 50%;
  transform: translate(-50%, -50%);
  opacity: 0;
  animation: ripple 7s infinite ease-out;
}

.circle.static1,
.circle.static2,
.circle.static3,
.circle.static4 {
  opacity: .1;
  animation: none;
  transform: translate(-50%, -50%) scale(1.2);
}

.circle.static1 {
  width: 300px;
  height: 300px;
}

.circle.static2 {
  width: 500px;
  height: 500px;
}
.circle.static3 {
  width: 700px;
  height: 700px;
		opacity: 0.06;
}
.circle.static4 {
  width: 900px;
  height: 900px;
	opacity: 0.03;
}
.pulse1 {
  animation-delay: 0s;
}
.pulse2 {
  animation-delay: 3s;
}

@keyframes ripple {
  0% {
    transform: translate(-50%, -50%) scale(1);
    opacity: 0.1;
  }
  70% {
    opacity: 0.05;
  }
  100% {
    transform: translate(-50%, -50%) scale(2);
    opacity: 0;
  }
}


.cover-slider {
	position: relative;
	width: 100%;
	height: 100%;
	overflow: hidden;
	z-index: 0;
}
.cover-slider-slide {
	min-height: 680px;
	height: calc(100vh - 0px) !important;
	max-height: 900px;
	overflow: hidden;
}

.cover-height-auto .cover-slider-slide {
}
.cover-height-small .cover-slider-slide {
	min-height: 460px !important;
	height: 40vh !important;
	max-height: 460px !important;
}
.cover-height-medium .cover-slider-slide {
	min-height: 500px !important;
	height: 60vh !important;
	max-height: 500px !important;
}
.cover-height-large .cover-slider-slide {
	min-height: 600px !important;
	height: 80vh !important;
	max-height: 700px !important;
}
.cover-height-full .cover-slider-slide {
	min-height: 680px;
	height: calc(100vh - 160px) !important;
/* 	max-height: 880px !important; */
}




	@media (max-width: 1023px) {
		.cover-slider-slide {
			min-height: 680px;
			height:auto !important;
			max-height: 100%;
			overflow: hidden;
		}
	}
	@media (max-width: 640px) {
		
		.cover-height-medium .cover-slide {
			min-height: 380px !important;
			height: 60vh !important;
			max-height: 380px !important;
		}
		.cover-height-full .cover-slide {
			min-height: 380px;
			height: 96vh !important;
			max-height: 380px !important;
		}
	}
	@media (max-width: 400px) {
		
	}

/* Cover - Image */
.cover-image-wrapper {
	
}
.cover-image {
	position: absolute;
	bottom:-150px;
	left: 51%;
	width: calc(50% + 100px);
	min-width: 1000px;
	max-width: 1000px;
	transform: translateY(100%) rotate(0deg);
	transition: all 0.6s ease-in-out;
	transition-delay: 100ms;
	opacity: 0;
	z-index: 1;	
}
.is-active .cover-image {
	opacity: 1;
	transform: translateY(0%) rotate(-4deg);
}

/* Shade */
.cover-shade {
	position: absolute;
	bottom: 0;
	left:0;
	width: 100%;
	height: 30%;
	z-index: 4;
}

@media (max-width: 1023px) {
	
	.cover-image {
		position: relative;
		bottom:0;
		left: 5%;
		width: calc(100% + 100px);
		min-width: 600px;
		transform: translateY(20%) rotate(0deg);
		transition: all 0.6s ease-in-out;
		transition-delay: 100ms;
	mask-image: linear-gradient(to bottom, black 40%, transparent 100%);
-webkit-mask-image: linear-gradient(to bottom, black 40%, transparent 100%);
mask-repeat: no-repeat;
-webkit-mask-repeat: no-repeat;
mask-size: 100% 100%;
-webkit-mask-size: 100% 100%;
		opacity: 0;
		z-index: 3;	
	}
	.is-active .cover-image {
		opacity: 1;
		transform: translateY(0%) rotate(-4deg);
	}
	.cover-image-wrapper {
		margin-left: -40px;
		width: calc(100% + 100px);
	}
	
}



/* Glows */
.cover-glow {
	position: absolute;
	bottom:0px;
	right:10vw;
	width: 800px;
	height: 800px;
	border-radius: 100%;
	transform: scale(0);
	z-index: 0;	
	opacity: 0.3;
	transition: all 0.3s ease-in-out;
	transition-delay: 600ms;
}
.cover-glow.second {
	transform: scale(0) translateX(-200px) translateY(100px);
	opacity: 1;
}
.is-active .cover-glow {
	transform: scale(1);
}
.is-active .cover-glow.second {
	transform: scale(1) translateX(-200px) translateY(100px);
}

/* Cover - Background Image */
.bg-cover-image {
	position: absolute;
	top:0;
	right:0;
	width: 100%;
	height: 100%;
/* 	background-position: 50% 50%; */
	background-position: 50% 50%;
	background-size: cover;
	background-repeat: no-repeat;
	z-index: 3;	
}
/* Widths */
.bg-cover-image.full {
	width: 100%;
}
.bg-cover-image.width-75 {
	width: 75%;
}
.bg-cover-image.width-66 {
	width: 66.66%;
}
.bg-cover-image.width-50 {
	width: 50%;
}
.bg-cover-image.width-33 {
	width: 33.333%;
}
.bg-cover-image.width-25 {
	width: 25%;
}

.bg-cover-shade {
	position: absolute;
	top:0;
	left:0;
	width: 100%;
	height: 100%;
/* 	background-position: 50% 50%; */
	background-position: 50% 50%;
	background-size: cover;
	background-repeat: no-repeat;
	z-index: 2;	
}
.bg-cover-shade.width-50 {
	width: 50%;
}

.bg-position-right {
	background-position: top right;
}


/* CAPTION */

.cover-caption {
	position: relative;
	display: block;
	width: 100%;
	padding-top: 300px;
	z-index: 999;
}
.cover-caption.is-absolute {
	position: absolute;
	display: block;
	width: 100%;
	z-index: 999;
}

.cover-caption .grid-container {
	
}
.cover-heading {
	position: relative;
	padding: 0rem 30px 0rem 30px;
	border-radius: 5px;
	
}
.cover-heading.boxed {
	padding: 60px 50px 60px 50px;
}

.cover-label {
	display: inline-flex;
	align-items: center;
	justify-content: flex-start;
	margin-bottom: 30px;
	text-transform: uppercase;
	letter-spacing: 0.7px;
	font-size: 14px;
	color: var(--color-primary-900);
	font-weight: 500;
	background: rgba(0,  33,  100, 0.04);
	padding:5px 25px 5px 5px;
	border-radius: 100px;
}
.cover-label-highlight {
	padding: 5px 20px;
	background-color: var(--color-white);
	border-radius: 100px;
	margin-right: 20px;
	font-weight: 700;
}
.cover-title {
	line-height: 1.1;
	position: relative;
	
}
.large-7 .cover-title {
	max-width: 660px;
}

.cover-title.title-tiny {
	font-size: var(--title-tiny);
}
.cover-title.title-small {
	font-size: var(--title-small);
}
.cover-title.title-medium {
	font-size: var(--title-medium);
}
.cover-title.title-large {
	font-size: var(--title-large);
	line-height: 1.1;
}
.cover-title.title-xlarge {
	font-size: var(--title-xlarge);
	line-height: 1.1;
}
.cover-title.title-huge {
	font-size: var(--title-huge);
	line-height: 1;
}


.cover-lead {
	max-width: 560px;
	padding-top: 20px;
}
.cover-lead p {
	font-size: clamp(1.000rem, 0.7456rem + 0.4196vw, 1.375rem);
	font-weight: 400;
}
.cover-lead p strong {
	font-weight: 700;
}
.cover-footer {
	display: flex;
	align-items: center;
	justify-content: flex-start;
	gap: 20px;
	margin-top: 40px;
}

	@media (max-width: 1430px) {
		.cover-heading {
			position: relative;
			padding: 0rem 1.5rem 0rem 1rem;
		}
		.large-7 .cover-title {
			max-width: 580px;
		}

	}
	@media (max-width: 1023px) {
		.cover-caption {
			position: relative;
			display: block;
			width: 100%;
			padding-top: 200px;
			z-index: 999;
		}
		.cover-heading {
			position: relative;
			padding: 0rem 1.5rem 0rem 35px;
		}
		
	}
	@media (max-width: 640px) {
		.cover-caption {
			position: relative;
			display: block;
			width: 100%;
			padding-top: 160px;
		}
		.cover-heading {
			position: relative;
			padding: 0rem 1rem 0rem 25px;
		}
		.cover-label {
			margin-bottom: 20px;
			text-transform: uppercase;
			letter-spacing: 0.7px;
			font-size: 12px;
			border-radius: 100px;
			margin-left: -17px
		}
		.cover-label-highlight {
			padding: 5px 15px;
			background-color: var(--color-white);
			border-radius: 100px;
			margin-right: 10px;
			font-weight: 700;
		}

		.cover-footer {
			position: relative;
			z-index: 4;
			display: flex;
			align-items: center;
			justify-content: flex-start;
			flex-wrap: wrap;
			gap: 20px;
			margin-top: -80px;
		}
		
	}


/* Items */
.cover-lead-item {
	color: #fff;
}



/* Align Left */
.cover-caption.caption-top-left {
	top: 50px;
	left:0;
}
.cover-caption.caption-center-left {
	top: 60%;
	left: 0;
	transform: translateX(0%) translateY(-50%);
}
.cover-caption.caption-bottom-left {
	bottom: 20%;
	left: 0;
	transform: translateX(0%) translateY(0%);
}
.cover-height-small .cover-caption.caption-bottom-left {
	bottom: 110px;
}
.cover-height-medium .cover-caption.caption-bottom-left {
	bottom: 50px;
}

/* Align Center */
.cover-caption.caption-top-center {
	top: 10%;
	left: 0%;
}
.cover-caption.caption-center-center {
	text-align: center;
	top: 50%;
	left: 0%;
	transform: translateX(0%) translateY(-50%);
}
.cover-caption.caption-bottom-center {
	bottom: 5%;
	left:0;
	text-align: center
}

/* Align Right */
.cover-caption.caption-top-right {
	top: 50px;
	left:0;
}
.cover-caption.caption-center-right {
	top: 50%;
	right:0;
	transform: translateX(0%) translateY(50%);
}
.cover-caption.caption-bottom-right {
	bottom: 100px;
	right:0;
}
.cover-caption.caption-top-right  .columns,
.cover-caption.caption-center-right .columns,
.cover-caption.caption-bottom-right  .columns {
	float: right;
}

.cover-height-adaptive .cover-caption {
	position: relative;
	top: auto;
	left:0;
	margin-top: 6rem;
	transform: translateX(0%) translateY(0);
}



